import {Platform, StyleSheet} from 'react-native';
import theme from '../../utils/theme';

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: theme.themeColor,
  },
  echoinglist: {
    flexDirection: 'row',
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    padding: 8,
    marginVertical: 8,
  },
  titles: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'grey',
    fontWeight: 'bold',
    backgroundColor: theme.primaryColor,
    paddingHorizontal: 8,
    paddingVertical: 8,
  },
  btnview: {
    width: '75%',
    alignSelf: 'center',
    backgroundColor: theme.secondryColor,
    borderRadius: 8,
    paddingHorizontal: 16,
    paddingVertical: 8,
  },
  btntext: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'white',
    fontWeight: 'bold',
    textAlign: 'center',
  },
  bluedot: {
    backgroundColor: '#45A1E2',
    width: 15,
    height: 15,
    borderRadius: 50,
  },
  searchSection: {
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.themeColor,
    borderRadius: 8,
    marginHorizontal: 16,
    marginVertical: 16,
  },
  searchIcon: {
    padding: 12,
  },
  input: {
    flex: 1,
    fontSize: 14,
    color: 'white',
    paddingRight: 8,
    paddingLeft: 0,
  },
  searchdata: {
    backgroundColor: theme.themeColor,
    borderBottomLeftRadius: 10,
    borderBottomRightRadius: 10,
    marginHorizontal: 15,
    paddingVertical: 10,
    maxHeight: 100,
  },
  userdata: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    backgroundColor: theme.primaryColor,
    paddingHorizontal: 16,
    paddingVertical: 16,
  },
  username: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'white',
    fontWeight: '600',
  },
  userposition: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: '#ffffffb3',
    fontWeight: '400',
    marginTop: 2,
  },
  todaytxt: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: '#ffffffb3',
    fontWeight: '600',
    textAlign: 'center',
    marginTop: 4,
  },
  investment: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: theme.secondryColor,
    fontWeight: 'bold',
  },
  socialconnection: {
    backgroundColor: theme.primaryColor,
    paddingVertical: 8,
    paddingHorizontal: 16,
  },
  socialtitle: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: '#ffffffb3',
    fontWeight: '600',
    textTransform: 'uppercase',
  },
  upward: {
    width: 20,
    alignSelf: 'center',
    backgroundColor: 'green',
    paddingHorizontal: 4,
    paddingVertical: 4,
    borderRadius: 4,
  },
  downward: {
    backgroundColor: 'red',
    width: 15,
    alignSelf: 'center',
    marginHorizontal: 7,
    paddingVertical: 2,
  },
  upwardtxt: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'green',
    paddingHorizontal: 4,
  },
  online: {
    position: 'absolute',
    width: 8,
    height: 8,
    backgroundColor: 'green',
    borderRadius: 8 / 2,
    bottom: 4,
    right: 4,
  },
  offline: {
    position: 'absolute',
    width: 8,
    height: 8,
    backgroundColor: 'red',
    borderRadius: 8 / 2,
    bottom: 4,
    right: 4,
  },
  bio: {
    backgroundColor: theme.primaryColor,
    borderRadius: 8,
    marginHorizontal: 16,
    marginVertical: 16,
    paddingHorizontal: 16,
    paddingVertical: 8,
  },
  biotitle: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: '#ffffffd1',
    fontWeight: 'bold',
  },
  biovalue: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: '#ffffffb3',
    textAlign: 'justify',
    lineHeight: 20,
    marginTop: 4,
  },
  connect: {
    width: '30%',
    alignItems: 'center',
    backgroundColor: '#274f52',
    borderColor: theme.secondryColor,
    borderWidth: 1,
    borderRadius: 8,
    paddingHorizontal: 8,
    paddingVertical: 8,
  },
  connectsocialstatus: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.secondryColor,
    fontWeight: 'bold',
    textAlign: 'center',
  },
  Companyname: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: 'white',
    fontWeight: '600',
  },
  sharerate: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 4,
  },
  shareamt: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.white,
    fontWeight: '400',
    textAlign: 'left',
  },
  sharepercentage: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.successGreen,
    fontWeight: '400',
    textAlign: 'right',
  },
  percentagedata: {
    width: '33%',
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: 'white',
    fontWeight: 'bold',
    textAlign: 'center',
    borderColor: 'transparent',
    borderLeftWidth: 1,
    borderRightWidth: 1,
    paddingHorizontal: 4,
    paddingVertical: 8,
  },
  chartdetail: {
    backgroundColor: theme.primaryColor,
    padding: 5,
    margin: 15,
    borderRadius: 10,
  },
  bullets: {
    position: 'absolute',
    top: 0,
    right: 0,
    display: 'flex',
    justifyContent: 'flex-start',
    flexDirection: 'row',
    paddingHorizontal: 10,
    paddingTop: 5,
  },
  bullets: {
    flexDirection: 'row',
    justifyContent: 'center',
    marginBottom: 20,
  },
  activebullet: {
    width: 10,
    height: 10,
    backgroundColor: theme.secondryColor,
    borderRadius: 50,
    marginHorizontal: 5,
  },
  bullet: {
    width: 10,
    height: 10,
    backgroundColor: 'white',
    borderRadius: 50,
    marginHorizontal: 5,
  },
  btnview1: {
    backgroundColor: theme.secondryColor,
    borderRadius: 4,
    paddingHorizontal: 12,
    paddingVertical: 6,
  },
  trackingerrordot: {
    justifyContent: 'center',
    alignItems: 'center',
    width: 25,
    height: 25,
    borderRadius: 50,
  },
   listBroker:{
    // flex:1,
    color:'white',
    height: Platform.OS == 'ios' ? 36 : 38,
    borderColor: 'white',
    borderWidth: 1,
    backgroundColor: theme.secondryColor,
    borderRadius: 10,
    marginVertical: 8,
    width:"47%"
  },
  listBrokerText:{
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '500',
    color: 'white',
    textAlign: 'left',
    paddingHorizontal: Platform.OS == 'ios' ? 0 : 4,
  },
  brokerItemText:{
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: 'black',
    textAlign: 'left',
  },
  listBrokerSelectedItemText:{
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    fontWeight: '400',
    color: theme.secondryColor,
    textAlign: 'left',
  },



  //////

  Title: {
    fontSize: Platform.OS == 'ios' ? 16 : 18,
    color: theme.white,
    fontWeight: 'bold',
    marginBottom: 8,
  },

  uploadbtn: {
    width: '30%',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.secondryColor,
    borderRadius: 24,
    paddingHorizontal: 12,
    paddingVertical: 8,
    marginLeft:9
  },

  sentbtn: {
    width: '70%',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: theme.secondryColor,
    borderRadius: 24,
    paddingHorizontal: 12,
    paddingVertical: 8,
alignSelf:'center',
marginTop:15
  },

  uploadtxt: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: theme.white,
    fontWeight: '400',
    textAlign: 'center',
    marginHorizontal: 4,
  },

  senttxt: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: theme.white,
    fontWeight: '700',
    textAlign: 'center',
    marginHorizontal: 4,
  },
  listContainer: {
    flexDirection: 'row',
    backgroundColor: theme.primaryColor,
    borderTopEndRadius: 10,
    borderTopStartRadius: 10,
    padding: 8,
    borderBottomWidth: 1,
    borderBottomColor: '#666262',
  },
  userContainer: {
    flex: 0.7,
    flexDirection: 'row',
    justifyContent: 'space-between',
    marginTop: 5,
  },
  imageView: {
    flex: 0.2875,
    justifyContent: 'center',
    alignItems: 'center',
  },
  imageStyle: {
    width: 40,
    height: 40,
    borderRadius: 40 / 2,
  },
  nameView: {
    flex: 0.7125,
    justifyContent: 'center',
    paddingHorizontal: 4,
    paddingVertical: 2,
  },
  nameStyle: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    fontWeight: '600',
    color: theme.white,
  },
  designationStyle: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    fontWeight: '400',
    color: '#ffffff8a',
    marginTop: 2,
  },
  errorContainer: {
    flex: 0.2,
    flexDirection: 'row',
    justifyContent: 'space-evenly',
    alignItems: 'center',
  },
  dotContainer: {
    flex: 0.33,
  },
  smallBlueDotContainer: {
    flex: 0.08,
    justifyContent: 'center',
    alignItems: 'center',
  },
  smallBlueDotView: {
    width: 12,
    height: 12,
    backgroundColor: theme.secondryColor,
    borderRadius: 12 / 2,
  },
  blueDotView: {
    width: 20,
    height: 20,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20 / 2,
    backgroundColor: theme.secondryColor,
  },
  dotView: {
    width: 20,
    height: 20,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20 / 2,
  },
  text12Style: {
    fontSize: Platform.OS == 'ios' ? 10 : 12,
    fontWeight: '600',
    color: theme.white,
  },
  revenueView: {
    flex: 0.15,
    justifyContent: 'center',
    alignItems: 'flex-end',
    padding: 2,
  },
  title: {
    fontSize: Platform.OS == 'ios' ? 14 : 16,
    color: theme.white,
  },
  hint: {
    fontSize: Platform.OS == 'ios' ? 12 : 14,
    color: '#ffffff8a',
    marginTop: 4,
  },
  listReturn: {
    backgroundColor: theme.primaryColor,
    borderBottomEndRadius: 10,
    borderBottomStartRadius: 10,
    padding: 1,
    marginBottom: 2,
  },

});

export default styles;
